Altibase.jdbc.driver.sharding.merger

## Class AbstractStreamResultSetMerger

- java.lang.Object
- - Altibase.jdbc.driver.sharding.merger.AbstractStreamResultSetMerger

All Implemented Interfaces:
  ResultSetMerger

Direct Known Subclasses:
  IteratorStreamResultSetMerger

    public abstract class AbstractStreamResultSetMerger
    extends java.lang.Object
    implements ResultSetMerger

### Constructor Summary

Constructors
Constructor and Description
`AbstractStreamResultSetMerger()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.ResultSet` `getCurrentResultSet()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface Altibase.jdbc.driver.sharding.merger.ResultSetMerger

`next`

### Constructor Detail

#### AbstractStreamResultSetMerger

    public AbstractStreamResultSetMerger()

### Method Detail

#### getCurrentResultSet

    public java.sql.ResultSet getCurrentResultSet()
                                           throws java.sql.SQLException

Specified by:
  `getCurrentResultSet` in interface `ResultSetMerger`
Throws:
  `java.sql.SQLException`